Hooks:PostHook( WeaponFactoryTweakData, "create_bonuses", "CFMCWMod_BAYONET_Init", function(self)

	if BeardLib.Utils:FindMod("Bayonet_attachment") then
	
		--Howa AR
		if self.parts.wpn_fps_ass_howa_bayonet then	
			self.parts.wpn_fps_ass_howa_bayonet.perks = { "bayonet"	}
			self.parts.wpn_fps_ass_howa_bayonet.stats = {
				concealment = -2,
				recoil = 2,
				suppression = -3,
				--bayonet melee stat
				min_damage = 45,
				max_damage = 50,
				min_damage_effect = 1,
				max_damage_effect = 1,
				range = 125
			}
			self.parts.wpn_fps_ass_howa_bayonet.has_description = true
			self.parts.wpn_fps_ass_howa_bayonet.desc_id = "bm_wp_bayonet_mod_alcat_dmgonly_desc"
		end
	
		--M14 Custom
		if self.parts.wpn_fps_ass_m14e2_ns_bayonet then	
			self.parts.wpn_fps_ass_m14e2_ns_bayonet.perks = { "bayonet"	}
			self.parts.wpn_fps_ass_m14e2_ns_bayonet.stats = {
				concealment = -2,
				recoil = 2,
				suppression = -3,
				--bayonet melee stat
				min_damage = 50,
				max_damage = 50,
				min_damage_effect = 1,
				max_damage_effect = 1,
				range = 125
			}
			self.parts.wpn_fps_ass_m14e2_ns_bayonet.has_description = true
			self.parts.wpn_fps_ass_m14e2_ns_bayonet.desc_id = "bm_wp_bayonet_mod_alcat_dmgonly_desc"
		end
	
		--Trench Gun
		if self.parts.wpn_fps_shot_trench_bayonet then	
			self.parts.wpn_fps_shot_trench_bayonet.perks = { "bayonet"	}
			self.parts.wpn_fps_shot_trench_bayonet.stats = {
				concealment = -4,
				recoil = 2,
				suppression = -3,
				--bayonet melee stat
				min_damage = 40,
				max_damage = 60,
				min_damage_effect = 6,
				max_damage_effect = 6,
				range = 175
			}
			self.parts.wpn_fps_shot_trench_bayonet.has_description = true
			self.parts.wpn_fps_shot_trench_bayonet.desc_id = "bm_wp_bayonet_mod_alcat_desc"
		end
	
		--Beretta Various
		if self.parts.wpn_fps_pis_beretta_m_spike then	
			self.parts.wpn_fps_pis_beretta_m_spike.perks = { "bayonet"	}
			self.parts.wpn_fps_pis_beretta_m_spike.stats = {
				concealment = -1,
				recoil = 1,
				suppression = -3,
				--bayonet melee stat
				min_damage = 20,
				max_damage = 40,
				min_damage_effect = 10,
				max_damage_effect = 10,
				range = 100
			}
			self.parts.wpn_fps_pis_beretta_m_spike.has_description = true
			self.parts.wpn_fps_pis_beretta_m_spike.desc_id = "bm_wp_bayonet_mod_alcat_knockonly_desc"
		end
	
		--GSPS Various
		if self.parts.wpn_fps_shot_m37_ns_bayonet then	
			self.parts.wpn_fps_shot_m37_ns_bayonet.perks = { "bayonet"	}
			self.parts.wpn_fps_shot_m37_ns_bayonet.stats = {
				concealment = -4,
				recoil = 1,
				suppression = -3,
				--bayonet melee stat
				min_damage = 40,
				max_damage = 60,
				min_damage_effect = 6,
				max_damage_effect = 6,
				range = 175
			}
			self.parts.wpn_fps_shot_m37_ns_bayonet.has_description = true
			self.parts.wpn_fps_shot_m37_ns_bayonet.desc_id = "bm_wp_bayonet_mod_alcat_desc"
		end
	
		--Mosin Custom
		if self.parts.wpn_fps_snp_classic_bayonet_fold then	
			self.parts.wpn_fps_snp_classic_bayonet_fold.perks = { "bayonet"	}
			self.parts.wpn_fps_snp_classic_bayonet_fold.stats = {
				concealment = -3,
				recoil = 1,
				suppression = -3,
				--bayonet melee stat
				min_damage = 50,
				max_damage = 70,
				min_damage_effect = 6,
				max_damage_effect = 6,
				range = 175
			}
			self.parts.wpn_fps_snp_classic_bayonet_fold.has_description = true
			self.parts.wpn_fps_snp_classic_bayonet_fold.desc_id = "bm_wp_bayonet_mod_alcat_desc"
		end
		
		--Garand Various
		if self.parts.wpn_fps_ass_ching_upg_bayonet then	
			self.parts.wpn_fps_ass_ching_upg_bayonet.perks = { "bayonet" }
			self.parts.wpn_fps_ass_ching_upg_bayonet.stats = {
				concealment = -3,
				recoil = 1,
				suppression = -3,
				--bayonet melee stat
				min_damage = 45,
				max_damage = 50,
				min_damage_effect = 3,
				max_damage_effect = 3,
				range = 150
			}
			self.parts.wpn_fps_ass_ching_upg_bayonet.has_description = true
			self.parts.wpn_fps_ass_ching_upg_bayonet.desc_id = "bm_wp_bayonet_mod_alcat_dmgonly_desc"
		end
	
	end

end)